<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Current Standings</title>
<style type="text/css">
body, td {
	font: 13px "Lucida Grande", "Lucida Sans Unicode", Tahoma, Verdana;
}
a, a:visited {
	border-bottom: 1px solid #69c;
	color: #00019b;
	text-decoration: none;
}
th {
	text-align: left;
}

.standingstable {
width: 760px;
}

.gamestable, .scorestable {
border-collapse: collapse;
margin-top: 10px;
margin-bottom: 10px;
width: 700px;
}

.gamestable td, .gamestable th, .scorestable td, .scorestable th {
padding: 5px;
border: 1px solid black;
}

.gamestable tr, .scorestable tr {
vertical-align: top;
}
</style>

</head>
<body>
<h2>Current Standings</h2>
<?php
require "settings.php";

$confid = intval($_GET['conf']);

mysql_connect($sportsdb_host,$sportsdb_user,$sportsdb_pass);
@mysql_select_db($sportsdb_db) or die( "Unable to select database");

// Allow sorting to occur
$standings_sort = intval($_GET['sort']);
switch ($standings_sort) {
case 1: $sort_order = "teamname ASC"; break;
case 2: $sort_order = "teamwins DESC, teamties DESC, teamlosses ASC"; break;
case 3: $sort_order = "teamlosses DESC, teamwins ASC, teamties ASC"; break;
case 4: $sort_order = "teamties DESC, teamwins DESC, teamlosses ASC"; break;
case 5: $sort_order = "teamforfeits DESC, teamwins ASC, teamties ASC"; break;
case 6: $sort_order = "gamesplayed DESC, teamwins DESC, teamties DESC, teamlosses ASC"; break;
case 7: $sort_order = "teamrf DESC, teamwins ASC, teamties DESC, teamlosses ASC"; break;
case 8: $sort_order = "teamra DESC, teamwins DESC, teamties ASC, teamlosses DESC"; break;
case 9: $sort_order = "gamesbehind ASC, teamties DESC, teamwins DESC, teamlosses ASC"; break;
case 10: $sort_order = "points DESC, teamwins DESC, winningpct DESC"; break;
default: $standings_sort = 0; $sort_order = "winningpct DESC";
}
$division_sort = "";

if ($confid > 0) {

// print the conference name
$resultconf = mysql_query("SELECT confname FROM sportsdb_conferences WHERE confid = $confid LIMIT 1");
$confname = @mysql_result($resultconf, 0, 'confname') or die ('No such conference');

print "<h2>$confname</h2>\n";
print '<p><a href="' . $_SERVER['PHP_SELF'] . "\">Back to conference list</a></p>\n<hr />\n";

// Get the divisions

$resultconf = mysql_query("SELECT divname, divid FROM sportsdb_divs WHERE conference = $confid ORDER BY divorder");
$numconf = mysql_num_rows($resultconf);
if ($numconf == 0) {
print "<p>No divisions in this conference</p>\n";
}

else {
while ($divs = mysql_fetch_array($resultconf, MYSQL_ASSOC)) {

// Loop through each division

$divname = $divs['divname'];
?>

<h3><?php print $divname; ?></h3>
<table class="standingstable">
    <tr>
        <td width="25%"><?php if ($standings_sort != 1) print '<a href="' . $_SERVER['PHP_SELF'] . "?conf=$confid&sort=1\">"; ?><strong>Team Name</strong><?php if ($standings_sort != 1) print '</a>'; ?></td>
        <td><?php if ($standings_sort != 6) print '<a href="' . $_SERVER['PHP_SELF'] . "?conf=$confid&sort=6\">"; ?><strong>GP</strong><?php if ($standings_sort != 2) print '</a>'; ?></td>
        <td><?php if ($standings_sort != 2) print '<a href="' . $_SERVER['PHP_SELF'] . "?conf=$confid&sort=2\">"; ?><strong>Wins</strong><?php if ($standings_sort != 2) print '</a>'; ?></td>
        <td><?php if ($standings_sort != 3) print '<a href="' . $_SERVER['PHP_SELF'] . "?conf=$confid&sort=3\">"; ?><strong>Losses</strong><?php if ($standings_sort != 3) print '</a>'; ?></td>
<?php if ($show_ties) { ?>
        <td><?php if ($standings_sort != 4) print '<a href="' . $_SERVER['PHP_SELF'] . "?conf=$confid&sort=4\">"; ?><strong>Ties</strong><?php if ($standings_sort != 4) print '</a>'; ?></td>
<?php } ?>
<?php if ($forfeit) { ?>
        <td><?php if ($standings_sort != 5) print '<a href="' . $_SERVER['PHP_SELF'] . "?conf=$confid&sort=5\">"; ?><strong>Forfeits</strong><?php if ($standings_sort != 5) print '</a>'; ?></td>
<?php } ?>
<?php if ($show_rfra) { ?>
        <td><?php if ($standings_sort != 7) print '<a href="' . $_SERVER['PHP_SELF'] . "?conf=$confid&sort=7\">"; ?><strong>RF</strong><?php if ($standings_sort != 7) print '</a>'; ?></td>
        <td><?php if ($standings_sort != 8) print '<a href="' . $_SERVER['PHP_SELF'] . "?conf=$confid&sort=8\">"; ?><strong>RA</strong><?php if ($standings_sort != 8) print '</a>'; ?></td>
<?php } ?>
<?php if ($show_gb) { ?>
        <td><?php if ($standings_sort != 9) print '<a href="' . $_SERVER['PHP_SELF'] . "?conf=$confid&sort=9\">"; ?><strong>GB</strong><?php if ($standings_sort != 9) print '</a>'; ?></td>
<?php } ?>
        <td><?php if ($standings_sort != 0) print '<a href="' . $_SERVER['PHP_SELF'] . "?conf=$confid&sort=0\">"; ?><strong>PCT</strong><?php if ($standings_sort != 0) print '</a>'; ?></td>
<?php if ($show_points) { ?>
        <td><?php if ($standings_sort != 10) print '<a href="' . $_SERVER['PHP_SELF'] . "?conf=$confid&sort=10\">"; ?><strong>Points</strong><?php if ($standings_sort != 10) print '</a>'; ?></td>
<?php } ?>
    </tr>

<?php
$query = "SELECT COUNT(*) FROM sportsdb_teams WHERE teamdiv = {$divs['divid']}";
$result = mysql_query($query);
$result_exist = mysql_result($result,0);

if ($result_exist) {
    $query = "SELECT teamid, teamname, teamwins, teamties, teamlosses, teamforfeits, teamrf, teamra, 
    (teamwins + teamties + teamlosses + teamforfeits) AS gamesplayed, 
    (teamwins / (teamwins + teamlosses + teamforfeits)) AS winningpct, 
    (teamwins - teamlosses - teamforfeits) AS leadervalue, 
    (teamwins * $points_win + teamforfeits * $points_forfeit + teamties * $points_tie) AS points 
    FROM sportsdb_teams 
    WHERE teamdiv = {$divs['divid']} 
    ORDER BY leadervalue DESC, teamties DESC LIMIT 1";
    
    $result = mysql_query($query) or die ("Error in query: $query");
    $results = mysql_fetch_array($result, MYSQL_ASSOC);
    $winningpct = number_format($results['winningpct'], 3);
}

// Show the leader at the top for default sorting (games behind)

if ($standings_sort == 9) {
?>
    <tr>
        <td><em><?php print $results['teamname']; ?></em></td>
        <td><?php print $results['gamesplayed']; ?></td>
        <td><?php print $results['teamwins']; ?></td>
        <td><?php print $results['teamlosses']; ?></td>
<?php if ($show_ties) { ?>
        <td><?php print $results['teamties']; ?></td>
<?php }
if ($forfeit) { ?>
        <td><?php print $results['teamforfeits']; ?></td>
<?php }
if ($show_rfra) { ?>
        <td><?php print $results['teamrf'];?></td>
        <td><?php print $results['teamra'];?></td>
<?php }
if ($show_gb) { ?>
        <td>---</td>
<?php } ?>
        <td><?php print $winningpct; ?></td>
<?php if ($show_points) { ?>
        <td><?php print $results['points'] ?></td>
<?php } ?>
    </tr>
<?php }

if ($result_exist) {
        $query="SELECT teamid, teamname, teamwins, teamties, teamlosses, teamforfeits, teamrf, teamra, 
        (teamwins + teamties + teamlosses + teamforfeits) AS gamesplayed, 
        (teamwins / (teamwins + teamlosses + teamforfeits)) AS winningpct, 
        ((({$results['leadervalue']}) - (teamwins - teamlosses - teamforfeits)) / 2) AS gamesbehind, 
        (teamwins * $points_win + teamforfeits * $points_forfeit + teamties * $points_tie) AS points 
        FROM sportsdb_teams 
        WHERE teamdiv = {$divs['divid']}";

        if ($standings_sort == 9) {
            $query .= " AND teamid != {$results['teamid']}";
        }
        $query .= " AND active = 1" . $division_sort . " ORDER BY $sort_order";

        $result=mysql_query($query);
        $num=mysql_numrows($result);

        while ($results = mysql_fetch_array($result, MYSQL_ASSOC)) {
            $winningpct=number_format($results['winningpct'], 3);
            $gamesbehind = number_format($results['gamesbehind'],1);

            if ($gamesbehind == "0.0") {
                $gamesbehind = "---";
            }
?>
    <tr>
        <td><em><?php print $results['teamname'];?></em></td>
        <td><?php print $results['gamesplayed']; ?></td>
        <td><?php print $results['teamwins']; ?></td>
        <td><?php print $results['teamlosses']; ?></td>
<?php if ($show_ties) { ?>
        <td><?php print $results['teamties']; ?></td>
<?php }
if ($forfeit) { ?>
        <td><?php print $results['teamforfeits']; ?></td>
<?php }
if ($show_rfra) { ?>
        <td><?php print $results['teamrf']; ?></td>
        <td><?php print $results['teamra']; ?></td>
<?php }
if ($show_gb) { ?>
        <td><?php print $gamesbehind; ?></td>
<?php } ?>
        <td><?php print $winningpct; ?></td>
<?php if ($show_points) { ?>
        <td><?php print $results['points']; ?></td>
<?php } ?>
    </tr>
<?php
        }
    }
?>
</table>
<?php } ?>

<h2>Past Scores</h2>

<form name="teamsort" method="post" action="<?php print $_SERVER['REQUEST_URI']; ?>">
<p>
    Show only 
    <select name="teamtosort">
        <option value="all">All teams</option>
<?php
// Populate the list of teams
$queryteams = "SELECT sportsdb_teams.teamname, sportsdb_teams.teamid 
            FROM sportsdb_teams, sportsdb_divs 
            WHERE sportsdb_teams.teamdiv = sportsdb_divs.divid 
            AND sportsdb_divs.conference = $confid 
            ORDER BY teamname";
            
$resultteams=mysql_query($queryteams);
$numteams=mysql_numrows($resultteams);

while ($teams = mysql_fetch_array($resultteams, MYSQL_ASSOC)) {
    print "\t" . '<option value="' . $teams['teamid'] . '"';
    if ($teams['teamid'] == $_POST['teamtosort']) { 
        print ' selected="selected"';
    }
    print '>' . $teams['teamname'] . "</option>\n";
}
?>
    </select>
    <input type="submit" value="Go" />
</p>
</form>

<table class="scorestable">
    <tr>
        <th>Date</th>
        <th>Time</th>
        <th>Home</th>
        <th>Away</th>
<?php if ($show_fields) { ?>
        <th>Field</th>
<?php } ?>
        <th>Score</th>
        <th>&nbsp;</th>
    </tr>
<?php
$queryscores="SELECT sportsdb_wins.winid, sportsdb_wins.windate, sportsdb_wins.wintime, 
            sportsdb_wins.rf, sportsdb_wins.ra, sportsdb_wins.wincomments, 
            sportsdb_wins.field, sportsdb_wins.winortie, 
            sportsdb_teams2.teamname AS winningteam, 
            sportsdb_teams.teamname AS losingteam
            FROM sportsdb_wins, sportsdb_teams AS sportsdb_teams2, sportsdb_teams, sportsdb_divs
            WHERE sportsdb_teams.teamdiv = sportsdb_divs.divid 
            AND sportsdb_divs.conference = $confid 
            AND sportsdb_teams2.teamid = sportsdb_wins.winner 
            AND sportsdb_teams.teamid = sportsdb_wins.loser 
            AND sportsdb_wins.winortie != 3";

// Sort by team if specified
if (isset($_POST['teamtosort']) && $_POST['teamtosort'] != 'all') {
    $teamtosort = intval($_POST['teamtosort']);
    $queryscores .= " AND (sportsdb_wins.winner = $teamtosort OR sportsdb_wins.loser = $teamtosort)";
}

$queryscores .= ' ORDER BY wintime DESC';
$resultscores=mysql_query($queryscores);
$numscores=mysql_numrows($resultscores);

while ($scores = mysql_fetch_array($resultscores, MYSQL_ASSOC)) {

    $windateheader=$scores['windate'];
    $windateformatted=date("F d, Y",$windateheader);
    $wintime=$scores['wintime'];
    $hour=date('g',$wintime);
    $minute=date('i',$wintime);
    $ampm=date('a',$wintime);
?>
    <tr>
        <td><?php print $windateformatted; ?></td>
        <td><?php print $hour . ':' . $minute . $ampm; ?></td>
        <td><?php print $scores['winningteam']; ?></td>
        <td><?php print $scores['losingteam']; ?></td>
<?php if ($show_fields) { ?>
        <td><?php print $scores['field']; ?></td>
<?php } ?>
        <td><?php print $scores['rf'] . ' - ' . $scores['ra'];
    if ($scores['winortie'] == 2 || $scores['winortie'] == 5) {
        print ' (ff)';
    }
    print '</td>';
?>

        <td><?php print $scores['wincomments']; ?></td>
    </tr>
<?php } ?>
</table>

<h2>Upcoming Games</h2>
<form name="teamsort" method="post" action="<?php print $_SERVER['REQUEST_URI']; ?>">
<p>Show only 
    <select name="teamtosort">
        <option value="all">All teams</option>
<?php
$queryteams = "SELECT sportsdb_teams.teamname, sportsdb_teams.teamid 
            FROM sportsdb_teams, sportsdb_divs 
            WHERE sportsdb_teams.teamdiv = sportsdb_divs.divid 
            AND sportsdb_divs.conference = $confid 
            ORDER BY teamname";
$resultteams=mysql_query($queryteams);
$numteams=mysql_numrows($resultteams);

while ($teams = mysql_fetch_array($resultteams, MYSQL_ASSOC)) {
    print "\t" . '<option value="' . $teams['teamid'] . '"';
    if ($teams['teamid'] == $_POST['teamtosort']) {
        print ' selected';
    }
    print '>' . $teams['teamname'] . "</option>\n";
}
?>
    </select>
    <input type="submit" value="Go" />
</p>
</form>

<table class="gamestable">
    <tr>
        <th>Date</th>
        <th>Time</th>
        <th>Home</th>
        <th>Away</th>
<?php if ($show_fields) { ?>
        <th>Field</th>
<?php } ?>
        <th>&nbsp;</th>
    </tr>
<?php
$queryscores = "SELECT sportsdb_wins.winid, sportsdb_wins.windate, sportsdb_wins.wintime, 
            sportsdb_wins.rf, sportsdb_wins.ra, sportsdb_wins.wincomments, sportsdb_wins.field, 
            sportsdb_teams2.teamname AS winningteam, 
            sportsdb_teams.teamname AS losingteam 
            FROM sportsdb_wins, sportsdb_teams AS sportsdb_teams2, sportsdb_teams, sportsdb_divs 
            WHERE sportsdb_teams.teamdiv = sportsdb_divs.divid 
            AND sportsdb_divs.conference = $confid 
            AND sportsdb_teams2.teamid = sportsdb_wins.winner 
            AND sportsdb_teams.teamid = sportsdb_wins.loser 
            AND sportsdb_wins.winortie = 3";

// Sort by team if specified
if (isset($_POST['teamtosort']) && $_POST['teamtosort'] != 'all') {
        $teamtosort = intval($_POST['teamtosort']);
        $queryscores .= " AND (sportsdb_wins.winner = $teamtosort OR sportsdb_wins.loser = $teamtosort)";
}

$queryscores .= ' ORDER BY wintime ASC';
$resultscores = mysql_query($queryscores);
$numscores = mysql_numrows($resultscores);

while ($scores = mysql_fetch_array($resultscores, MYSQL_ASSOC)) {

    $windateheader=$scores['windate'];
    $windateformatted=date("F d, Y",$windateheader);
    $wintime=$scores['wintime'];
    $hour=date('g',$wintime);
    $minute=date('i',$wintime);
    $ampm=date('a',$wintime);
?>
    <tr>
        <td><?php print $windateformatted; ?></td>
        <td><?php print $hour . ':' . $minute . $ampm; ?></td>
        <td><?php print $scores['winningteam']; ?></td>
        <td><?php print $scores['losingteam']; ?></td>
<?php if ($show_fields) { ?>
        <td><?php print $scores['field']; ?></td>
<?php } ?>
        <td><?php print $scores['wincomments'] ?></td>
    </tr>
<?php
        }
?>
</table>
<?php
    }
}

// List the conference

else {
?>
<p>Click on the conference name to view its standings</p>
<?php
    $query = "SELECT * FROM sportsdb_conferences ORDER BY conforder";
    $result = mysql_query($query) or die("Error in query $query");
    $num = mysql_num_rows($result);
    while ($confs = mysql_fetch_array($result, MYSQL_ASSOC)) {
        print '<p><a href="' . $_SERVER['PHP_SELF'] . "?conf={$confs['confid']}\">{$confs['confname']}</a></p>\n";
    }
}
?>
</body>
</html>